ima-evm-utils-1.1-2.fc27.x86_64.rpm


Advertisement

Description

ima-evm-utils - IMA/EVM support utilities

Distribution: Fedora 27
Repository: Fedora Updates x86_64
Package name: ima-evm-utils
Package version: 1.1
Package release: 2.fc27
Package architecture: x86_64
Package type: rpm
Installed size: 102.85 KB
Download size: 51.67 KB
Official Mirror: dl.fedoraproject.org
The Trusted Computing Group(TCG) run-time Integrity Measurement Architecture (IMA) maintains a list of hash values of executables and other sensitive system files, as they are read or executed. These are stored in the file systems extended attributes. The Extended Verification Module (EVM) prevents unauthorized changes to these extended attributes on the file system. ima-evm-utils is used to prepare the file system for these extended attributes.

Provides

  • ima-evm-utils = 1.1-2.fc27
  • ima-evm-utils(x86-64) = 1.1-2.fc27
  • libimaevm.so.0()(64bit)

    Install Howto

    Install the ima-evm-utils rpm package:

    # dnf install ima-evm-utils

    Files

    • /usr/bin/evmctl
    • /usr/lib/.build-id/
    • /usr/lib/.build-id/25/818326692516db35bb0ba59a68d2a4c480efc6
    • /usr/lib/.build-id/b8/2b0ffa4d393c72dd303a78a54f8311308be788
    • /usr/lib64/libimaevm.so.0
    • /usr/lib64/libimaevm.so.0.0.0
    • /usr/share/doc/ima-evm-utils/AUTHORS
    • /usr/share/doc/ima-evm-utils/ChangeLog
    • /usr/share/doc/ima-evm-utils/README
    • /usr/share/licenses/ima-evm-utils/COPYING
    • /usr/share/man/man1/evmctl.1.gz

    Changelog

    2018-03-02 - Bruno E. O. Meneguele <brdeoliv@redhat.com> - 1.1-2 - Remove libtool files - Run ldconfig scriptlets after un/installing - Add -devel subpackage to handle include files and examples - Disable any static file in the package

    2018-02-21 - Bruno E. O. Meneguele <brdeoliv@redhat.com> - 1.1-1 - New upstream release - Support for OpenSSL 1.1 was added directly to the source code in upstream, thus removing specific patch for it - Docbook xsl stylesheet updated to a local path

    2018-02-14 - Bruno E. O. Meneguele <brdeoliv@redhat.com> - 1.0-3 - Add OpenSSL 1.1 API support for the package, avoiding the need of compat-openssl10-devel package

    2017-11-20 - Bruno E. O. Meneguele <brdeoliv@redhat.com> - 1.0-2 - Adjusted docbook xsl path to match the correct stylesheet

    2017-09-05 - Bruno E. O. Meneguele <brdeoliv@redhat.com> - 1.0-1 - New upstream release - Fix OpenSSL 1.1 incompatibility issues adding OpenSSL 1.0 compat package on BuildRequires.

    2017-08-02 - Fedora Release Engineering <releng@fedoraproject.org> - 0.9-7 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

    2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 0.9-6 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

    2017-02-10 - Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5 - Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

    2016-02-04 - Fedora Release Engineering <releng@fedoraproject.org> - 0.9-4 - Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

    2016-01-26 - Lubomir Rintel <lkundrak@v3.sk> - 0.9-3 - Fix FTBFS

    Advertisement
    Advertisement